#include <bits/stdc++.h>
using namespace std;
int main()
{
    double t,n,i,j,k,z,pom,pon=1,ponv;
    cin>>t;
    deque <double> proiz(1);
    proiz[0]=1;
    for(i=1;i<=t;i++)
    {
        cin>>n;
        for(j=1;j<=n;j++)
        {
            pon=1;
            pom=j;
            while(pom>0)
            {
                pon*=int(pom)%10;
                pom=int(pom/10);
            }
            pom=pon;
            pon=0;
            for(k=0;k<proiz.size();k++)
                {
                    if(pon!=0)
                    {
                        break;
                    }
                    else if(pom==proiz[k])
                    {
                        pon++;
                    }
                }
            if(pon==0)
            {
                proiz.push_front(pom);
            }
        }
        cout<<proiz.size()<<endl;
    }
}